petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscDrawAxisSetLabels

Sets the x and y axis labels.

### Synopsis

    #include "petscdraw.h"
    PetscErrorCode  PetscDrawAxisSetLabels(PetscDrawAxis axis,const char top[],const char xlabel[],const char ylabel[])

Logically Collective on PetscDrawAxis

### Input Parameters

| axis | - the axis
| top | - the label at the top of the image
| xlabel,ylabel | - the labes for the x and y axis

### Notes

Must be called before PetscDrawAxisDraw() or PetscDrawLGDraw() There should be no newlines in the arguments

### See Also

PetscDrawAxisCreate(), PetscDrawAxis, PetscDrawAxisSetColors(), PetscDrawAxisDraw(), PetscDrawAxisSetLimits()

### Level

advanced

### Location

src/sys/classes/draw/utils/axisc.c

### Examples

src/ksp/ksp/examples/tutorials/ex68.c.html
src/ksp/ksp/examples/tutorials/ex69.c.html
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages